Bug 29580 - Misplaced closing 'td' tag in overdue.tt
Summary: Misplaced closing 'td' tag in overdue.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 18403
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-27 01:38 UTC by Fridolin Somers
Modified: 2021-12-22 21:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
Bug 29580: Fix missing end tag in circ/overdue.tt (2.04 KB, patch)
2021-11-27 01:42 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29580: Fix missing end tag in circ/overdue.tt (2.09 KB, patch)
2021-11-27 23:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 29580: Fix missing end tag in circ/overdue.tt (2.17 KB, patch)
2021-12-02 10:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-11-27 01:38:53 UTC
In circ/overdue.tt there is a end tag </td> inside a IF condition.
I should be outside.
Comment 1 Fridolin Somers 2021-11-27 01:42:41 UTC
Created attachment 128052 [details] [review]
Bug 29580: Fix missing end tag in circ/overdue.tt

In circ/overdue.tt there is a end tag </td> inside a IF condition.
I should be outside.

Test plan :
Check HTML in overdue page with and without seeing patrons infos from other
branches
Comment 2 David Nind 2021-11-27 23:50:29 UTC
Created attachment 128056 [details] [review]
Bug 29580: Fix missing end tag in circ/overdue.tt

In circ/overdue.tt there is a end tag </td> inside a IF condition.
I should be outside.

Test plan :
Check HTML in overdue page with and without seeing patrons infos from other
branches

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-11-27 23:52:43 UTC
Tested by reviewing the HTML in the overdue.tt file and the patch - I couldn't figure out how to hide the patron information in the patron column.
Comment 4 Jonathan Druart 2021-12-02 10:15:31 UTC
Created attachment 128149 [details] [review]
Bug 29580: Fix missing end tag in circ/overdue.tt

In circ/overdue.tt there is a end tag </td> inside a IF condition.
I should be outside.

Test plan :
Check HTML in overdue page with and without seeing patrons infos from other
branches

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Fridolin Somers 2021-12-03 07:03:07 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-12-03 15:19:59 UTC
Pushed to 21.11.x for 21.11.01
Comment 7 Andrew Fuerste-Henry 2021-12-17 19:22:59 UTC
Pushed to 21.05.x for 21.05.08
Comment 8 Victor Grousset/tuxayo 2021-12-22 21:37:23 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.